#pragma once
#include "Mod.h"

class Step : public Mod {
public:
	float reversespeed = 1.f;
	bool reverse = true;
	Step() : Mod(_("Step"), _("Clip the step."), Category::MOVEMENT) {
		settings.push_back(new Setting{ _("Reverse"), &reverse, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Reverse Speed"), &reversespeed, new float(1.f), new float(0.f), 2, {}, true});

		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto getMode() -> std::string override;
};
